Subject: Re: bug#34593: 12.1.1; selecting xelatex from command menu does not reset dvips or dvipdfmx switches

From: jfbu <[email-masked]>
Date: Fri, 5 Apr 2019 10:36:29 +0200

Le 02/04/2019 à 09:00, Ikumi Keita a écrit :
> Hi Jean, sorry for very late reply.
Hi Ikumi,

Thanks a lot, I am in the midst of some important deadlines
so can not report until a bit,

Best,

Jean-François

> 
> I think that the attached patch will do the job.  However it just resets
> the "PDF from DVI" setting and doesn't restore it when you again change
> the engine to, say, "default".
> Is this what you wanted?  If so, I'll install this change.
> 
> Regards,
> Ikumi Keita
> 
>>>>>> jfbu <[email-masked]> writes:
>> Hi,
>> Steps to reproduce.
> 
>> Any latex document previously set-up to do latex+dvips+ps2pdf
>> (or dvipdfmx)
> 
>> select XeTeX as TeX-engine from menu.
> 
>> The dvips + ps2pdf (or dvipdfmx) option remains selected.
> 
>> On C-cC-a  errors arise, because of course no dvi file is produced from xelatex run.
> 
>> It takes a while until AUCTeX stops.
> 
>> On the positive side, with
> 
>> % Local variables:
>> % TeX-engine: xetex;
>> % End:
> 
> 
>> and C-cC-n 
> 
>> the PDF from Dvi is reset and no problem arises.
> 
>> Could it be added that selecting "Use XeTeX engine" from menu automatically resets the "PDF from Dvi" setting ?
> 
> 
> 
Hi